%define anolis_release 3

Name:           geocode-glib
Version:        3.26.4
Release:        %{anolis_release}%{dist}
Summary:        Geocoding helper library
License:        LGPLv2+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/3.26/%{name}-%{version}.tar.xz

BuildRequires:  gettext gtk-doc meson
BuildRequires:  pkgconfig(gio-2.0) >= 2.34 pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.99.2
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.42 pkgconfig(libsoup-3.0)

Requires:       json-glib >= 0.99.2

%description
geocode-glib is a convenience library for the geocoding (finding longitude,
and latitude from an address) and reverse geocoding (finding an address from
coordinates). It uses Nominatim service to achieve that. It also caches
(reverse-)geocoding requests for faster results and to avoid unnecessary server
load.

%package        data
Summary:        Icon files for %{name}

%description    data
The %{name}-devel package contains icon files for applications that use %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n     geocode-glib2
Summary:        Development files for %{name}
Requires:       json-glib >= 0.99.2
Requires:       %{name}-data = %{EVR}

%description -n geocode-glib2
geocode-glib is a convenience library for the geocoding (finding longitude,
and latitude from an address) and reverse geocoding (finding an address from
coordinates). It uses Nominatim service to achieve that. It also caches
(reverse-)geocoding requests for faster results and to avoid unnecessary server
load.

This package contains version 2 of the API, which uses libsoup3 internally.

%package -n     geocode-glib2-devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description -n geocode-glib2-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%define _vpath_builddir %{_vendor}-%{_target_os}-build-soup2
%meson -Denable-installed-tests=false
%meson_build

%define _vpath_builddir %{_vendor}-%{_target_os}-build-soup3
%meson -Denable-installed-tests=false -Dsoup2=false
%meson_build

%install
%define _vpath_builddir %{_vendor}-%{_target_os}-build-soup2
%meson_install

%define _vpath_builddir %{_vendor}-%{_target_os}-build-soup3
%meson_install

%generate_compatibility_deps

%files
%{_libdir}/libgeocode-glib.so.0
%{_libdir}/libgeocode-glib.so.0.0.0
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_datadir}/icons/*/*/*/*
%dir %{abidir}
%{abidir}/libgeocode-glib.dump
%license COPYING.LIB

%files data
%{_datadir}/icons/hicolor/scalable/places/*.svg

%files devel
%{_libdir}/libgeocode-glib.so
%{_libdir}/pkgconfig/geocode-glib-1.0.pc
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
%{_includedir}/geocode-glib-1.0/
%doc %{_datadir}/gtk-doc/

%files -n geocode-glib2
%{_libdir}/libgeocode-glib-2.so.0
%{_libdir}/libgeocode-glib-2.so.0.0.0
%{_libdir}/girepository-1.0/GeocodeGlib-2.0.typelib
%license COPYING.LIB

%dir %{abidir}
%{abidir}/libgeocode-glib-2.dump

%files -n geocode-glib2-devel
%{_libdir}/libgeocode-glib-2.so
%{_libdir}/pkgconfig/geocode-glib-2.0.pc
%{_includedir}/geocode-glib-2.0/
%{_datadir}/gir-1.0/GeocodeGlib-2.0.gir
%doc %{_datadir}/gtk-doc/

%files doc
%doc README NEWS AUTHORS

%changelog
* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.26.4-3
- Refactor the specfile

* Wed Mar 22 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.26.4-2
- Add geocode-glib2 package

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 3.26.4-1
- New version 3.26.4

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 3.26.2-1
- Init package from upstream v3.26.2
